package com.gic.haoban.manage.service.service.impl;

import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.commons.util.EntityUtil;
import com.gic.haoban.common.utils.StringUtil;
import com.gic.haoban.manage.api.dto.UserLoginLogDTO;
import com.gic.haoban.manage.service.dao.mapper.TabUserLoginLogMapper;
import com.gic.haoban.manage.service.entity.TabUserLoginLog;
import com.gic.haoban.manage.service.service.UserLoginLogService;

@Service
public class UserLoginLogServiceImpl implements UserLoginLogService {
	
	@Autowired
	private TabUserLoginLogMapper mapper;

	@Override
	public String insertUserLoginLog(UserLoginLogDTO userLoginLogDTO) {
		String userLoginLog = StringUtil.randomUUID();
		userLoginLogDTO.setCreateTime(new Date());
		userLoginLogDTO.setUpdateTime(userLoginLogDTO.getCreateTime());
		userLoginLogDTO.setStatus(1);
		userLoginLogDTO.setUserLoginLog(userLoginLog);
		mapper.insert(EntityUtil.changeEntityByJSON(TabUserLoginLog.class, userLoginLogDTO));
		return userLoginLog;
		
	}

}
